Datadog notification
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Datadog notification action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Datadog Action",
"type": "DATADOG",
"trigger_time": "ON_EVERY_EXECUTION",
"alert_type": "warning",
"variables": [
{
"key": "aggregationKey",
"value": "someValue"
}
],
"aggregation_key": "$aggregationKey",
"host": "linux",
"content": "And let me tell you all about it here!.",
"title": "Something big happened!",
"region": "EU1",
"tags": [
"version:1",
"application:web"
],
"integration": {
"identifier": "datadog"
}
}'STATUS200 OK